# bmsearch.h File Reference

C++ API: Boyer-Moore StringSearch technology preview. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/ucol.h"`
`#include "unicode/colldata.h"`

Go to the source code of this file.

## Data Structures
class | BoyerMooreSearch
| BoyerMooreSearch. More...

## Detailed Description

C++ API: Boyer-Moore StringSearch technology preview.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

Definition in file bmsearch.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines